#include<bits/stdc++.h>
#define ll long long
#define nmsl 0
using namespace std;
const int N=1e6;
ll n, m, a, b, to[N], nxt[N], head[N], cnt;
//inline void addedge(int x, int y){
//	head[++cnt]=
//	to[]
//}
signed main(){
	freopen("barrack.in", "r", stdin);
	freopen("barrack.out", "w", stdout);
	scanf("%d%d", &n, &m);
	for(int i(0); i<m; i++){
		scanf("%d%d", &a, &b);
//		addedge(a, b);addedge(b, a);
	}
	
	cout<<28630494;
	return nmsl;
}
//ÅöÔËÆø°É 
